import React from 'react';
import { ReactNode } from 'react';
interface IsliderTabs {
    tabs?: Array<any>;
    renderTab?: ReactNode | string;
    direction: 'left' | 'right';
    defaultValue?: number;
    className?: string;
    tabClassName?: string;
    activeTabClassName?: string;
    components?: Array<ReactNode>;
    onChange?: (event: any) => void;
}
declare type Props = {
    title: ReactNode;
    className: string;
    headerTail?: ReactNode;
    headerCenter?: ReactNode;
    children?: ReactNode;
    sliderTabs?: IsliderTabs;
    style?: Record<string, string>;
};
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<Props & React.RefAttributes<any>>>;
export default _default;
