declare type RAFType = 'interval' | 'timeout';
declare type RAFCallback = (...args: any[]) => void;
export default class RAF {
    private _timerIdMap;
    constructor();
    run(type: RAFType | undefined, cb: RAFCallback, interval?: number): symbol;
    setIdMap(timerSymbol: symbol, type: RAFType, loop: () => void): void;
    setTimeout(cb: RAFCallback, interval: number): symbol;
    clearTimeout(timer: symbol): void;
    setInterval(cb: RAFCallback, interval: number): symbol;
    clearInterval(timer: symbol): void;
}
export {};
