import React, { ReactNode } from 'react';
import { SelectProps, OptionProps } from 'antd/lib/Select';
export interface IOptionProps extends OptionProps {
}
export interface ISelect extends SelectProps<any> {
    request?: () => Promise<any>;
    valueEnum?: Record<string, any>;
    params?: Record<string, any>;
    onLoad?: (options: Record<string, any>[]) => void;
    children?: ReactNode;
}
export declare type IWSelectComponent = React.FC<ISelect> & {
    Option?: React.FC<IOptionProps>;
};
declare const _default: React.NamedExoticComponent<ISelect>;
export default _default;
