import React from 'react';
import { TreeSelectProps as Props } from 'antd/lib/tree-select';
import { ReactNode } from 'react';
interface TreeSelectProps<T> extends Props<T> {
    treeNodeLabelProp?: string;
    treeNodeValueProp?: string;
    treeNodeChildrenProp?: string;
    request?: () => Promise<any>;
    onLoad?: (options: Record<string, any>[]) => void;
    params?: Record<string, any>;
    children?: ReactNode;
}
export declare type IndexComponent = React.FC<TreeSelectProps<any>> & {
    TreeNode?: React.FC<any>;
};
declare let Index: IndexComponent;
export default Index;
