declare function init({ errorCore }: any): void;
/**
 * 主动触发错误上报
 * @param {*} eventId 事件ID
 * @param {*} message 错误信息
 * @param {*} options 自定义配置信息
 * @returns
 */
declare function traceError(eventId: any, message: any, options?: {}): void;
declare const _default: {
    init: typeof init;
    traceError: typeof traceError;
};
export default _default;
