declare let run: (fn: () => void) => void;
declare type State = Record<string, any>;
declare type GetSetStore<T> = {
    (): T;
    (s: Partial<T> | ((state: T) => Partial<T>)): void;
};
declare type InitStore<T> = (getSetStore: GetSetStore<T>) => T;
declare const create: {
    <T extends State>(initStore: InitStore<T>): () => T;
    config({ batch }: {
        batch: typeof run;
    }): void;
};
export default create;
