declare type Callback = () => void;
declare type State = Record<string, unknown>;
declare let run: (fn: Callback) => void;
declare const wmox: {
    <T extends State>(state: T): T;
    config({ batch }: {
        batch: typeof run;
    }): void;
};
export default wmox;
